=== modified file 'libssts/defs.h'
--- libssts/defs.h	2016-01-30 21:23:29 +0000
+++ libssts/defs.h	2016-01-30 21:30:06 +0000
@@ -55,20 +55,35 @@
 #define __S_ATOMIC__ __Atomic
 #endif
 
-#if defined(__GNUC__) && SSTS_BUILDING
-  #define S_EXPORTED __attribute__((__visibility__("default")))
-  #define S_HIDDEN   __attribute__((__visibility__("hidden")))
-#elif defined(__MSC_VER) && SSTS_BUILDING
-  #define S_EXPORTED __declspec(dllexport)
-  #define S_HIDDEN
-#elif defined(__MSC_VER)
-  #define S_EXPORTED __declspec(dllimport)
+/*
+ * Copied from: https://gcc.gnu.org/wiki/Visibility .. with modifications.
+ */
+#if defined _WIN32 || defined __CYGWIN__
+  #ifdef BUILDING_DLL
+    #ifdef __GNUC__
+      #define S_EXPORTED __attribute__ ((dllexport))
+    #else
+      #define S_EXPORTED __declspec(dllexport) // Note: actually gcc seems to also supports this syntax.
+    #endif
+  #else
+    #ifdef __GNUC__
+      #define S_EXPORTED __attribute__ ((dllimport))
+    #else
+      #define S_EXPORTED __declspec(dllimport) // Note: actually gcc seems to also supports this syntax.
+    #endif
+  #endif
   #define S_HIDDEN
 #else
-  #define S_EXPORTED
-  #define S_HIDDEN
+  #if __GNUC__ >= 4
+    #define S_EXPORTED __attribute__ ((visibility ("default")))
+    #define S_HIDDEN  __attribute__ ((visibility ("hidden")))
+  #else
+    #define S_EXPORTED
+    #define S_HIDDEN
+  #endif
 #endif
 
+
 S_BEGIN_DECLS
 
 #include <stdio.h>

